Subject: RE: [lemonade] I-D ACTION:draft-ietf-lemonade-profile-bis-05.txt

From: <[email-masked]>
Date: Fri, 4 May 2007 12:50:50 +0300

Sorry for the late reply, been busy with OMA business.
Here are my comments:

Section 2.
1. Lemonade Profile = Lemonade? I thought the first was the specs, the latter a group in IETF.
2. I am missing some sort of description of Profile vs. Profile bis. Or it does not matter because Profile bis will obsolete Profile?

Section 3.
3. In the previous version there was a statement saying that the extensions need to be declared using CAPABILITY. Was the removal of this statement accidental, or is that intention to save sending some data and just declare Profile bis support? BTW: how is Profile bis support declared? It seems that it is not declared at all - so how does one know that the Lemonade-specific things (like the $Forwarded keyword) can be used?

Section 4.1
4. A reference to section 7 would be nice here.

Section 5.5.
5. "Lemonade Message Stores therefore MUST implement the CONTEXT extension defined in [IMAP-CONTEXT]." CONTEXT is already said to be mandatory in section 3. I would prefere describing CONTEXT itself a little more instead.

Section 6.
6. In the previous draft the FLOWED was a MUST - now it's only a SHOULD. Mistake or intentional?

Section 7.1
7. "..., or whatever else may be designed in the future" Is this part really needed? We can't really be sure about the future...

Figure 16, 17, 18, 19 in section 8.
8. There is no ME-2a and ME-2b interface in OMA MEM anymore. (The MEM AD has been updated).

General:
9. There are some places where the word "folder" is used. Should we consistently use "mailbox" instead of "folder"? Or provide some sort of clarification (a reference?) to what the difference is?
10. References - do we want to provide some sort of update here?
Pipelining; RFC2197 is obsoleted by RFC2920
DSN; RFC3461 is updated by RFC3798 and RFC3885
BINARY; RFC3516 is updated by RFC4466
LITERAL+; RFC2088 is updated by RFC4466
NAMESPACE; RFC2342 is updated by RFC4466

Best regards: Zoltán Ördögh
E-mail: zoltan dot ordogh at nokia dot com
Phone: +358 50 386 0566

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade
Supplemental Web Site:
http://www.standardstrack.com/ietf/lemonade

---

From: Alexey Melnikov <[email-masked]>
Date: Sat, 05 May 2007 14:49:10 +0100

Hi Zoltan,

>General:
[I will let Dave reply to the rest of your comments.]

>9. There are some places where the word "folder" is used. Should we consistently use "mailbox" instead of "folder"?
>
Yes, we should use "mailbox" everywhere.

> Or provide some sort of clarification (a reference?) to what the difference is?
Yes.

>NAMESPACE; RFC2342 is updated by RFC4466
We don't need to list all RFCs that update the ones we are referencing. 
"Updated" status is more like "see also".